{
  "schema_version": "1.4.0",
  "id": "GHSA-xpf7-vf54-5crr",
  "modified": "2022-05-14T02:06:01Z",
  "published": "2022-05-14T02:06:01Z",
  "aliases": [
    "CVE-2014-9667"
  ],
  "details": "sfnt/ttload.c in FreeType before 2.5.4 proceeds with offset+length calculations without restricting the values, which allows remote attackers to cause a denial of service (integer overflow and out-of-bounds read) or possibly have unspecified other impact via a crafted SFNT table.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-9667"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201503-05"
    },
    {
      "type": "WEB",
      "url": "http://advisories.mageia.org/MGASA-2015-0083.html"
    },
    {
      "type": "WEB",
      "url": "http://code.google.com/p/google-security-research/issues/detail?id=166"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=677ddf4f1dc1b36cef7c7ddd59a14c508f4b1891"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-February/150148.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-February/150162.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-03/msg00091.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-0696.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3188"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2015:055"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/bulletinapr2015-2511959.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/72986"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2510-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2739-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-02-08T11:59:00Z"
  }
}